%define upstream_name    Sys-Syscall
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module to access system calls that Perl doesn't normally provide access to
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sys/Sys-Syscall-%{upstream_version}.tar.gz
Patch2:         Sys-Syscall-0.25-Add-aarch64-support.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Use epoll, sendfile, from Perl.

%prep
%autosetup -p1 -n Sys-Syscall-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc CHANGES META.yml MYMETA.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 tv <tv> 0.250.0-10.mga8
+ Revision: 1502476
- Add aarch64 support
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.250.0-9.mga7
+ Revision: 1271422
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.250.0-8.mga6
+ Revision: 1033609
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.250.0-7.mga6
+ Revision: 948778
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.250.0-6.mga5
+ Revision: 788394
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-5.mga5
+ Revision: 746576
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-4.mga5
+ Revision: 686294
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.250.0-3.mga4
+ Revision: 514798
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-2.mga3
+ Revision: 373000
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 342628
- update to 0.25

* Thu Jan 20 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 27050
- mageia rebuild
- imported package perl-Sys-Syscall

